name: test

on: push

jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
        with:
          lfs: true
      - uses: dtolnay/rust-toolchain@stable
      - uses: Swatinem/rust-cache@v2
      # Limit to one test at a time as the CI infrastructure struggles if trying to start too many containers at once
      - run: cargo test --release -j6 -- --test-threads=1
